Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F	(revision 2020)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F	(revision 2021)
@@ -1192,4 +1854,144 @@
                                                                     ips , ipe , jps , jpe , kps , kpe )
 ENDIF
+
+!VENUS
+IF (config_flags%mars .eq. 34) THEN
+      CALL stuff_bdy     ( qbdy3dtemp1 , grid%scalar_b(:,:,:,:,2)   , 'T' , ijds, ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q2bdy3dtemp1 , grid%scalar_b(:,:,:,:,3)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q3bdy3dtemp1 , grid%scalar_b(:,:,:,:,4)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q4bdy3dtemp1 , grid%scalar_b(:,:,:,:,5)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q5bdy3dtemp1 , grid%scalar_b(:,:,:,:,6)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q6bdy3dtemp1 , grid%scalar_b(:,:,:,:,7)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q7bdy3dtemp1 , grid%scalar_b(:,:,:,:,8)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q8bdy3dtemp1 , grid%scalar_b(:,:,:,:,9)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q9bdy3dtemp1 , grid%scalar_b(:,:,:,:,10)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q10bdy3dtemp1 , grid%scalar_b(:,:,:,:,11)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q11bdy3dtemp1 , grid%scalar_b(:,:,:,:,12)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q12bdy3dtemp1 , grid%scalar_b(:,:,:,:,13)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q13bdy3dtemp1 , grid%scalar_b(:,:,:,:,14)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q14bdy3dtemp1 , grid%scalar_b(:,:,:,:,15)   , 'T' ,ijds , ijde , spec_bdy_width      , &                                                                 
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q15bdy3dtemp1 , grid%scalar_b(:,:,:,:,16)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q16bdy3dtemp1 , grid%scalar_b(:,:,:,:,17)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q17bdy3dtemp1 , grid%scalar_b(:,:,:,:,18)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q18bdy3dtemp1 , grid%scalar_b(:,:,:,:,19)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q19bdy3dtemp1 , grid%scalar_b(:,:,:,:,20)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q20bdy3dtemp1 , grid%scalar_b(:,:,:,:,21)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q21bdy3dtemp1 , grid%scalar_b(:,:,:,:,22)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q22bdy3dtemp1 , grid%scalar_b(:,:,:,:,23)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q23bdy3dtemp1 , grid%scalar_b(:,:,:,:,24)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q24bdy3dtemp1 , grid%scalar_b(:,:,:,:,25)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q25bdy3dtemp1 , grid%scalar_b(:,:,:,:,26)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q26bdy3dtemp1 , grid%scalar_b(:,:,:,:,27)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q27bdy3dtemp1 , grid%scalar_b(:,:,:,:,28)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q28bdy3dtemp1 , grid%scalar_b(:,:,:,:,29)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q29bdy3dtemp1 , grid%scalar_b(:,:,:,:,30)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q30bdy3dtemp1 , grid%scalar_b(:,:,:,:,31)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q31bdy3dtemp1 , grid%scalar_b(:,:,:,:,33)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q32bdy3dtemp1 , grid%scalar_b(:,:,:,:,33)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q33bdy3dtemp1 , grid%scalar_b(:,:,:,:,34)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q34bdy3dtemp1 , grid%scalar_b(:,:,:,:,35)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+ENDIF
 !!!!MARS <<
          CALL stuff_bdy     ( mbdy2dtemp1 , grid%em_mu_b    , 'M' , ijds , ijde , spec_bdy_width      , &
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/update_inputs_physiq_mod.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/update_inputs_physiq_mod.F	(revision 2020)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/dynphy_wrf_venus_lmd_new/update_inputs_physiq_mod.F	(revision 2021)
@@ -70,13 +70,51 @@
 SUBROUTINE update_inputs_physiq_tracers(nq,MARS_MODE)
 
-  !use infotrac
-  
+  use infotrac, only: nqtot,tname
+  use logic_mod, only: iflag_trac
   implicit none
   INTEGER, INTENT(IN) :: nq,MARS_MODE
 
-  ALLOCATE(traceurs(nq))
-  traceurs(:)='zolbxs' 
-  !call infotrac_init ! Need traceur.def
-
+  IF (.not.ALLOCATED(tname)) ALLOCATE(tname(nq))
+  nqtot=nq
+
+  IF (MARS_MODE .EQ. 34) THEN
+    tname(1)="co2"
+    tname(2)="co"
+    tname(3)="h2"
+    tname(4)="h2o"
+    tname(5)="o1d"
+    tname(6)="o"
+    tname(7)="o2"
+    tname(8)="o2dg"
+    tname(9)="o3"
+    tname(10)="h"
+    tname(11)="oh"
+    tname(12)="ho2"
+    tname(13)="h2o2"
+    tname(14)="cl"
+    tname(15)="clo"
+    tname(16)="cl2"
+    tname(17)="hcl"
+    tname(18)="hocl"
+    tname(19)="clco"
+    tname(20)="clco3"
+    tname(21)="cocl2"
+    tname(22)="s"
+    tname(23)="so"
+    tname(24)="so2"
+    tname(25)="so3"
+    tname(26)="s2o2"
+    tname(27)="ocs"
+    tname(28)="hso3"
+    tname(29)="h2so4"
+    tname(30)="s2"
+    tname(31)="clso2"
+    tname(32)="oscl"
+    tname(33)="h2oliq"
+    tname(34)="h2so4liq"
+    iflag_trac=1
+  ELSE
+    tname(:)='zolbxs'
+  ENDIF
 
 END SUBROUTINE update_inputs_physiq_tracers
